Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/images/getimagealternatives

# Browse image alternatives

GET `https://api.rewind.rest/v1/admin/images/{domain}/{entity_type}/{entity_id}/alternatives`

Browse available images from all configured sources for an entity. Shows the current source and whether it is an override.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Path Parameters

#### domain (path, enum (string), required) — allowed: listening, watching, collecting, reading

#### entity\_type (path, enum (string), required) — allowed: albums, artists, movies, shows, releases, articles

#### entity\_id (path, string, required)

## Query Parameters

#### artist\_name (query, string)

#### album\_name (query, string)

#### mbid (query, string)

#### tmdb\_id (query, string)

## Response

#### 200

List of available image alternatives

#### entity (object, required)

#### properties

#### domain (string, required)

#### entity\_type (string, required)

#### entity\_id (string, required)

#### current\_source (string, required)

#### is\_override (boolean, required)

#### alternatives (array of object, required)

#### properties

#### source (string, required)

#### url (string, required)

#### width (integer, required)

#### height (integer, required)

#### 400

Bad request

#### error (string, required)

#### status (integer, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/admin/images/{domain}/{entity_type}/{entity_id}/alternatives' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/admin/images/{domain}/{entity_type}/{entity_id}/alternatives', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/admin/images/{domain}/{entity_type}/{entity_id}/alternatives',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "entity": {
    "domain": "string",
    "entity_type": "string",
    "entity_id": "string"
  },
  "current_source": "string",
  "is_override": true,
  "alternatives": [
    {
      "source": "cover-art-archive",
      "url": "uri",
      "width": 0,
      "height": 0
    }
  ]
}
```

```json 400
{
  "error": "Not found",
  "status": 404
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```
